package cn.com.ctop.kuaishou.modules.batch.mapper;

import cn.com.ctop.kuaishou.modules.batch.entity.KuaishouOperationRecord;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;


public interface KuaishouOperationRecordMapper extends BaseMapper<KuaishouOperationRecord> {

    void deleteOperationRecordInfoAccount(@Param("record")KuaishouOperationRecord record);

    void insertOperationRecordInfoAccount(@Param("records")List<KuaishouOperationRecord> records);

    void deleteOperationRecordInfoCampaign(@Param("record")KuaishouOperationRecord record);

    void insertOperationRecordInfoCampaign(@Param("records")List<KuaishouOperationRecord> records);

    void deleteOperationRecordInfoUnit(@Param("record")KuaishouOperationRecord record);

    void insertOperationRecordInfoUnit(@Param("records")List<KuaishouOperationRecord> records);

    void deleteOperationRecordInfoCreative(@Param("record")KuaishouOperationRecord record);

    void insertOperationRecordInfoCreative(@Param("records")List<KuaishouOperationRecord> records);

    void deleteOperationRecordInfoVideo(@Param("record")KuaishouOperationRecord record);

    void insertOperationRecordInfoVideo(@Param("records")List<KuaishouOperationRecord> records);

    void deleteOperationRecordInfoApp(@Param("record")KuaishouOperationRecord record);

    void insertOperationRecordInfoApp(@Param("records")List<KuaishouOperationRecord> records);

    void deleteOperationRecordInfoPackage(@Param("record")KuaishouOperationRecord record);

    void insertOperationRecordInfoPackage(@Param("records")List<KuaishouOperationRecord> records);

}
